<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net5.0</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="DocumentFormat.OpenXml" Version="2.12.3" />
    <PackageReference Include="EPPlus.Core.Extensions" Version="2.4.0" />
    <PackageReference Include="FastMember" Version="1.5.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="5.0.5" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Abstractions" Version="5.0.5" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="5.0.5" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="5.0.5" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="5.0.5">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.1.3" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Data\Repository\" />
    <Folder Include="Extensions\" />
    <Folder Include="Data\Mappings\" />
  </ItemGroup>

</Project>
